# Copyright 2004 KTH
# Distributed under the terms of the GNU General Public License v2
# $Id$

#inherit libtool

DESCRIPTION="Kerberos 5 implementation from KTH"
SRC_URI="ftp://ftp.pdc.kth.se/pub/heimdal/src/snapshots/heimdal-0.6.3.tar.gz"
HOMEPAGE="http://www.pdc.kth.se/heimdal/"

SLOT="0.6.3"
LICENSE="as-is"
KEYWORDS="x86 ~ppc ~sparc"
IUSE="ssl ldap berkdb ipv6 krb4"
PROVIDE="virtual/krb5"

DEPEND="ssl? ( >=dev-libs/openssl-0.9.7d )
	afs? ( >=net-fs/openafs-1.2.10 )
	krb4? ( >=app-crypt/kth-krb-1.3_rc1 )
	     ( >=sys-devel/libtool-1.4.3-r3 )
	berkdb? ( sys-libs/db )"
	# ldap? ( net-nds/openldap )
	# With this enabled, we create a multiple stage
	# circular dependency with USE="ldap kerberos"
	# -- Kain <kain@kain.org> 05 Dec 2002

S=${WORKDIR}/heimdal-0.6.3

src_compile() {

	# I don't want an existing compile_et! I want a new one!
	test -d foo || mkdir foo
	echo exit 255 > foo/compile_et
	chmod +x foo/compile_et
	PATH=$PWD/foo:$PATH

	# The libtool version provided is too old. Let's redo the libtool stuff
#	rm -f libtool ltconfig ltmain.sh ltcf-c.sh
#	libtoolize -c --force
#	autoreconf --force --install

	local myconf=""
	echo ${PORTAGE_TMPDIR}

	if use ssl ; then
	    myconf="${myconf} --with-openssl=/usr"
	fi

	use ipv6 || myconf="${myconf} --without-ipv6"

	if use krb4 ; then
	    # myconf="${myconf} --with-krb4=/usr/athena-1.3rc1"
	    myconf="${myconf} --with-krb4-config=/usr/athena-1.3rc1/bin/krb4-config"
	fi

	myconf="${myconf} --enable-shared --enable-static"

	myconf="${myconf} --prefix=/usr/heimdal-0.6.3"

	CFLAGS="$CFLAGS -g"
	econf ${myconf} CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" || die

	emake || die
}

src_install() {

	DESTDIR=${D} make install || die

	dodir /etc/env.d
	< ${FILESDIR}/89heimdal sed -e 's,/heimdal/,/heimdal-0.6.3/,g' > ${D}/etc/env.d

	dodoc COPYRIGHT ChangeLog README NEWS PROBLEMS TODO

}
