# Copyright 2004 KTH
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Kerberos 4 implementation from KTH"
SRC_URI="ftp://ftp.pdc.kth.se/pub/krb/src/snapshots/krb4-1.3rc1.tar.gz"
HOMEPAGE="http://www.pdc.kth.se/kth-krb/"

SLOT="1"
LICENSE="as-is"
KEYWORDS="x86 ppc ~sparc"
IUSE="ssl afs"

DEPEND="ssl? ( >=dev-libs/openssl-0.9.7d )
	     ( >=sys-devel/libtool-1.4.3-r3 )
	afs? ( >=net-fs/openafs-1.2.10 )"

S=${WORKDIR}/krb4-1.3rc1

src_unpack() {
	unpack ${A}
	cd ${S} && epatch ${FILESDIR}/krb4-config.patch
}

src_compile() {
	# I don't want an existing compile_et! I want a new one!
	mkdir foo
	echo exit 255 > foo/compile_et
	chmod +x foo/compile_et
	PATH=$PWD/foo:$PATH

	# The libtool version provided is too old. Let's redo the libtool stuff
	rm -f libtool ltconfig ltmain.sh ltcf-c.sh
	libtoolize -c --force
	autoreconf --force --install

	local myconf=""
	echo ${PORTAGE_TMPDIR}

	use ssl && myconf="${myconf} --with-openssl=/usr"

	use ipv6 || myconf="${myconf} --without-ipv6"

	myconf="${myconf} --enable-shared --enable-static"

	myconf="${myconf} --prefix=/usr/athena-1.3rc1"

	CFLAGS="$CFLAGS -g"
	econf ${myconf} CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" || die
	emake || die
}

src_install() {

	DESTDIR=${D} make install || die
	
	# Krb 4 should not be used directly.
	#	dodir /etc/env.d
	#	cp ${FILESDIR}/02kth-krb ${D}/etc/env.d

	dodoc COPYRIGHT ChangeLog README NEWS PROBLEMS TODO
}
